Debian Bug report logs - #543953
ITP: libmoosex-configfromfile-perl -- abstract Moose role for setting attributes from a config file

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonathan Yu <frequency@cpan.org>

Date: Thu, 27 Aug 2009 17:45:01 UTC

Owned by: jawnsy@cpan.org

Severity: wishlist

Fixed in version libmoosex-configfromfile-perl/0.03-1

Done: Jonathan Yu <jawnsy@cpan.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>:
Bug#543953; Package wnpp. (Thu, 27 Aug 2009 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <frequency@cpan.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>. (Thu, 27 Aug 2009 17:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Yu <frequency@cpan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmoosex-configfromfile-perl -- abstract Moose role for setting attributes from a config file
Date: Thu, 27 Aug 2009 13:34:42 -0400
Package: wnpp
Owner: Jonathan Yu <frequency@cpan.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libmoosex-configfromfile-perl
  Version         : 0.02
  Upstream Author : Brandon L. Black, <blblack@gmail.com>
* URL             : http://search.cpan.org/dist/MooseX-ConfigFromFile/
* License         : Artistic | GPL-1+
  Programming Lang: Perl
  Description     : abstract Moose role for setting attributes from a
config file

 MooseX::ConfigFromFile is an abstract role which provides a simple way to
 create objects using parameters passed in from a configuration file. The
 actual implementation of reading the configuration file is left to concrete
 subroles.

NOTE: packaging this because it is needed for testing MooseX-Getopt
(already in Debian) and enhances its functionality.




Owner changed from Jonathan Yu <frequency@cpan.org> to jawnsy@cpan.org. Request was from Jonathan Yu <jonathan.i.yu@gmail.com> to control@bugs.debian.org. (Sat, 24 Oct 2009 15:54:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jawnsy@cpan.org:
Bug#543953; Package wnpp. (Thu, 17 Dec 2009 15:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Chambriat <gc@riseup.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jawnsy@cpan.org. (Thu, 17 Dec 2009 15:30:06 GMT) Full text and rfc822 format available.

Message #12 received at 543953@bugs.debian.org (full text, mbox):

From: Guillaume Chambriat <gc@riseup.net>
To: Jonathan Yu <frequency@cpan.org>, 543953@bugs.debian.org
Subject: Re: ITP: libmoosex-configfromfile-perl -- abstract Moose role for setting attributes from a config file
Date: Thu, 17 Dec 2009 16:26:20 +0100
Hi,

Jonathan Yu wrote (27 Aug 2009 17:34:42 GMT) :
> Package: wnpp
> Owner: Jonathan Yu <frequency@cpan.org>
> * Package name    : libmoosex-configfromfile-perl

Any news on this one? I just RFP'd MooseX::SimpleConfig, that depends
on MooseX::ConfigFromFile.

Bye,
--
  gc@riseup.net




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jawnsy@cpan.org:
Bug#543953; Package wnpp. (Thu, 17 Dec 2009 15:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <frequency@cpan.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jawnsy@cpan.org. (Thu, 17 Dec 2009 15:39:09 GMT) Full text and rfc822 format available.

Message #17 received at 543953@bugs.debian.org (full text, mbox):

From: Jonathan Yu <frequency@cpan.org>
To: Guillaume Chambriat <gc@riseup.net>, 543953@bugs.debian.org
Subject: Re: Bug#543953: ITP: libmoosex-configfromfile-perl -- abstract Moose role for setting attributes from a config file
Date: Thu, 17 Dec 2009 10:35:36 -0500
Hi Guillaume,

On Thu, Dec 17, 2009 at 10:26 AM, Guillaume Chambriat <gc@riseup.net> wrote:
> Hi,
>
> Jonathan Yu wrote (27 Aug 2009 17:34:42 GMT) :
>> Package: wnpp
>> Owner: Jonathan Yu <frequency@cpan.org>
>> * Package name    : libmoosex-configfromfile-perl
>
> Any news on this one? I just RFP'd MooseX::SimpleConfig, that depends
> on MooseX::ConfigFromFile.
Unfortunately, the jury's still out on that one. I sent the author a
bug report via the CPAN Request Tracker [1] and he responded, but then
later just disappeared.

I also sent him a ping or two via e-mail and talked to the
comaintainers via IRC but unfortunately there hasn't been any progress
on that front yet.

[1] http://rt.cpan.org/Public/Bug/Display.html?id=49369
>
> Bye,
> --
>  gc@riseup.net
>
>
>




Added indication that bug 543953 blocks 561485 Request was from Jonathan Yu <jawnsy@cpan.org> to control@bugs.debian.org. (Sat, 02 Jan 2010 20:12:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 07:06:07 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Yu <jawnsy@cpan.org>:
You have taken responsibility. (Mon, 14 Feb 2011 22:36:07 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Yu <frequency@cpan.org>:
Bug acknowledged by developer. (Mon, 14 Feb 2011 22:36:08 GMT) Full text and rfc822 format available.

Message #26 received at 543953-close@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: 543953-close@bugs.debian.org
Subject: Bug#543953: fixed in libmoosex-configfromfile-perl 0.03-1
Date: Mon, 14 Feb 2011 22:35:02 +0000
Source: libmoosex-configfromfile-perl
Source-Version: 0.03-1

We believe that the bug you reported is fixed in the latest version of
libmoosex-configfromfile-perl, which is due to be installed in the Debian FTP archive:

libmoosex-configfromfile-perl_0.03-1.debian.tar.gz
  to main/libm/libmoosex-configfromfile-perl/libmoosex-configfromfile-perl_0.03-1.debian.tar.gz
libmoosex-configfromfile-perl_0.03-1.dsc
  to main/libm/libmoosex-configfromfile-perl/libmoosex-configfromfile-perl_0.03-1.dsc
libmoosex-configfromfile-perl_0.03-1_all.deb
  to main/libm/libmoosex-configfromfile-perl/libmoosex-configfromfile-perl_0.03-1_all.deb
libmoosex-configfromfile-perl_0.03.orig.tar.gz
  to main/libm/libmoosex-configfromfile-perl/libmoosex-configfromfile-perl_0.03.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 543953@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Yu <jawnsy@cpan.org> (supplier of updated libmoosex-configfromfile-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 25 Dec 2010 15:46:44 -0500
Source: libmoosex-configfromfile-perl
Binary: libmoosex-configfromfile-perl
Architecture: source all
Version: 0.03-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonathan Yu <jawnsy@cpan.org>
Description: 
 libmoosex-configfromfile-perl - Moose role for setting attributes from a config file
Closes: 543953
Changes: 
 libmoosex-configfromfile-perl (0.03-1) unstable; urgency=low
 .
   * Initial Release (Closes: #543953)
Checksums-Sha1: 
 866ad391b139e173d0b7864d3a954a769116e377 2213 libmoosex-configfromfile-perl_0.03-1.dsc
 6af84878d9443be07df88787d0d8b4b6090df85a 20074 libmoosex-configfromfile-perl_0.03.orig.tar.gz
 6eee2f716880ae2de3a131ddeeaea89306f7f39a 1862 libmoosex-configfromfile-perl_0.03-1.debian.tar.gz
 68630bd4e49f7420fe3aa72b11785e2f03973f59 7844 libmoosex-configfromfile-perl_0.03-1_all.deb
Checksums-Sha256: 
 4d32bb2e4bac8369be9741aeec2e6f7edde3f26886fc9ec70ea54b2a537df326 2213 libmoosex-configfromfile-perl_0.03-1.dsc
 0b3da449497e2ff8b64d82d16425eacc935596aa1c525a824c7e530f2202bcd5 20074 libmoosex-configfromfile-perl_0.03.orig.tar.gz
 2d46a007125eb395503fed8ed68f2a35f5ec2653c667a8e5698ef1212fbb3ce6 1862 libmoosex-configfromfile-perl_0.03-1.debian.tar.gz
 9b27abe2bfd4a070d9b53997dc4284113f1e634c8cc451f58170988b99719e31 7844 libmoosex-configfromfile-perl_0.03-1_all.deb
Files: 
 0bff016fc443e02398f822046a66ae41 2213 perl optional libmoosex-configfromfile-perl_0.03-1.dsc
 28f3dc1731f5a3245f059648cb1f8f06 20074 perl optional libmoosex-configfromfile-perl_0.03.orig.tar.gz
 3b22566b83c67559719b17669805605a 1862 perl optional libmoosex-configfromfile-perl_0.03-1.debian.tar.gz
 94ec65ed3b9beae00a932fc71f50829f 7844 perl optional libmoosex-configfromfile-perl_0.03-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNFlu1AAoJELs6aAGGSaoGpcQQAL6+gEEZkXv6vgHAFT7qEWkl
aDAlLdMTPYz5rqGNDpJf8TpUvfFY3/kYPry6k87uJ1/MVcIwhCh1yzPYRoQ1xG89
eD/iWKD6jGUFfU/qleeVSfM8rmRqRnM82eYChq6pXrgNTqoUCSL27Clc/iJ4nGz0
FHxIpsU6og1aML9YsErKlwXtsTstM4zMbXaV1GF8IExlhzBO7MWNNQ0s8cAsjQ8a
O0MjYijpXWubOZzTLaxpC2gDHWRszxUgEcseqQiAsAZGHGCyu9WvY73G+ykXd5R0
F/eK6q/OGIDovQwRZB3mQkqipGoO1/uyPmomgUlnp9U320jSDZVysxg7is8lBAJX
ZHaH8/GPM0jGdchh9SgVomXo04D4x7j4ijHZZq3CGlVHmBNQxqOE/GBr4/GOhbmM
sixzjMhQ0GEU77Rjsqc6+vSN2JZE35r922ALzANRGpaX70oG9/Q1jyhMUuoRihIo
3l3feWiaTkhS1H/QyZHKGV69IoZznG3C0WnB3BuHVX8qLpbGR4Ad5WFJXElXH5SR
fK5Dmm0UZVqe8aDVAs7y3aKzkVXqoGGGg6ygtyQhev/xSTvRy9IpyjyQmrrVmz+0
Wir6ui4/NG5Eo2bWkhpYkZTfOdSosnYKWXRp8XyvZ7miTAOYfeWSASmSbshvRhws
C7GRiUDC4HTtlhBLRiDX
=qtah
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Mar 2011 07:37:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:33:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.